# Maintainer: Carlos Aznarán <caznaranl@uni.pe>
pkgname=linalg
pkgver=2.2
pkgrel=1
pkgdesc="linalg.h is a single header, public domain, short vector math library for C++"
url="https://github.com/sgorsten/${pkgname}"
arch=(any)
license=(Unlicense)
depends=()
checkdepends=(cmake doctest)
source=(${pkgname}-${pkgver}.tar.gz::${url}/archive/v${pkgver}.tar.gz)
sha512sums=('736f6ff83fcc4a772ef5ab8e574b0e56aca9fcf2318d92f56f94684ffbd7283540b6496381d52834545b4902147bc67a3afa21ab877bc44bba84471c2eff6862')

prepare() {
  sed -i '3 a find_package(doctest REQUIRED)' ${pkgname}-${pkgver}/samples/CMakeLists.txt
  sed -i 's/"thirdparty\/doctest.h"/<doctest\/doctest.h>/' ${pkgname}-${pkgver}/samples/test-linalg.h
}

check() {
  cmake -S ${pkgname}-${pkgver}/samples -B build
  cmake --build build
  ./"${pkgname}"-"${pkgver}"/samples/bin/linalg-test
}

package() {
  # install headers
  install -d ${pkgdir}/usr/include/
  install ${pkgname}-${pkgver}/${pkgname}.h ${pkgdir}/usr/include
  install -Dm 644 ${pkgname}-${pkgver}/UNLICENSE -t "${pkgdir}/usr/share/licenses/${pkgname}"
}
